## libkdtree++ 0.1.2

=== examples/Makefile ===
CPPFLAGS=`pkg-config libkdtree++ --cflags`

test_kdtree: test_kdtree.o
	$(CXX) $< -o $@

## libkdtree++ 0.2.1

=== examples/Makefile ===
CXXFLAGS = -Wall -W -pedantic -ansi
LDFLAGS = -lstdc++
test_kdtree: test_kdtree.o

CC = $(CXX)

ifeq "$(wildcard ../include/kdtree.hpp)" ""
CPPFLAGS=`pkg-config libkdtree++ --cflags`
else
INCLUDE = .$(shell ln -sf ../include kdtree++)
CPPFLAGS = -I$(INCLUDE)
CXXFLAGS += -O0 -g
test_kdtree.o: $(wildcard $(INCLUDE)/kdtree++/*.hpp)
endif

.PHONY: run
run:: test_kdtree
	@./$<

.PHONY: debug
debug:: test_kdtree
	@gdb -q ./$<

.PHONY: clean
clean::
	rm -f $(wildcard *.o) test_kdtree kdtree++

## libkdtree++ 0.6.2

=== examples/Makefile ===
all: test_kdtree perf_kdtree

test_kdtree: test_kdtree.cpp
	g++ -I.. -Wall -ansi -pedantic -g -O2 -o test_kdtree test_kdtree.cpp

perf_kdtree: perf_kdtree.cpp
	g++ -I.. -Wall -O4 -o perf_kdtree perf_kdtree.cpp

clean:
	rm -f test_kdtree

.PHONY: clean

## libkdtree++ 0.7.0

=== CMakeLists.txt ===
project (libkdtree CXX)
cmake_minimum_required (VERSION 2.6.0)

if (WIN32)

   # Maximum warning level
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")

   # Be strict about warnings... make them errors
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /WX")

   # Detect 64-bit portability issues
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Wp64")

else (WIN32)

   # Maximum warning level
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

   # turn on debugging
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g")

endif (WIN32)

include_directories (${PROJECT_SOURCE_DIR})

add_subdirectory(examples)

=== examples/CMakeLists.txt ===
add_executable (test_hayne test_hayne.cpp)
add_executable (test_kdtree test_kdtree.cpp)

## libkdtree++ 0.7.1+git20101123

=== debian/changelog ===
libkdtree++ (0.7.1+git20101123-6build5) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:13:05 +0000

libkdtree++ (0.7.1+git20101123-6build4) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:05:04 +0000

libkdtree++ (0.7.1+git20101123-6build3) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 17:23:08 -0500

libkdtree++ (0.7.1+git20101123-6build2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 08:28:16 +0000

libkdtree++ (0.7.1+git20101123-6build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:26:31 +0000

libkdtree++ (0.7.1+git20101123-6) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
    + Add Vcs-* fields.
    + Update homepage to use GitHub project.
    + Mark package libkdtree++-dev as Multi-Arch: foreign.
  * debian/watch: Fix upstream monitoring and use v4 format.
  * debian/rules: Refresh packaging instructions.
    + Drop manual -dbg packages. (Closes: #994305)

 -- Boyuan Yang <byang@debian.org>  Sun, 21 Nov 2021 13:27:14 -0500

libkdtree++ (0.7.1+git20101123-5) unstable; urgency=medium

  * QA upload.
  * Stop building the Python 2 packages. Closes: #936884.
  * Fix installation of Python 3 extensions. Closes: #942672.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Oct 2019 18:03:05 +0200

libkdtree++ (0.7.1+git20101123-4) unstable; urgency=medium

  * debian/patches/gcc-5.patch: Fix build with gcc 5. (Closes: #777951)
  * debian/control:
    - Add dh-python to B-D.
    - Bump Standards-Version to 3.9.6.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 02 Mar 2015 23:43:04 +0100

libkdtree++ (0.7.1+git20101123-3) unstable; urgency=medium

  * debian/python3-kdtree{-dbg}.install: Fix wildcard so that dh_install does
    not fail. (Closes: #735820)
  * debian/rules: Make test targets not fail if nocheck is given in
    DEB_BUILD_OPTIONS.
  * debian/control: Bump Standards-Version (no changes required).

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 17 Jan 2014 22:10:49 +0100

libkdtree++ (0.7.1+git20101123-2) unstable; urgency=low

  * Upload to unstable.
  * debian/copyright: Convert to Copyright Format 1.0.
  * debian/rules: Replace override_dh_install with proper install files.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 May 2013 02:43:45 +0200

libkdtree++ (0.7.1+git20101123-1) experimental; urgency=low

  * New git snapshot. (Closes: #559306)
    - Add get-orig-source rule to debian/rules to create the snapshot tarball.
  * Convert to 3.0 (quilt).
  * debian/control:
    - Update my mail address.
    - Add Homepage field.
    - Add ${misc:Depends} to Depends.
    - Bump debhelper Build-Dep to >= 9.
  * debian/compat: Bump to 9.
  * debian/watch: Add watch file.
  * debian/copyright:
    - Update my mail address.
    - Add Willi Richert.
    - Update Sylvain Bougerel's and Paul Harris' copyright years.
  * Ship examples in libkdtree++-dev. (Closes: #527370)
  * Ship Python bindings. (Closes: #559307)
    - debian/control: Add python-kdtree{,-dbg} and python3-kdtreee{,-dbg}
      packages.
    - debian/rules: Rewrite to build Python bindings for all supported Python
      versions.
    - debian/control: Add Build-Dep on swig, cmake, python-all{,-dbg} and
      python3-all{,-dbg}.
    - debian/patches: Add a series of patches to build and install the Python
      bindings properly.
    - debian/clean: Clean pyc files generated while running the tests.
  * debian/README.Debian: Removed, not needed anymore.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 31 Dec 2012 00:25:37 +0100

libkdtree++ (0.7.0-2) unstable; urgency=low

  * New maintainer. (Closes: #689206)
    Thanks to Martin Schreiber for maintaining libkdtree++!
  * debian/copyright:
    - List the copyright of the authors. (Closes: #688796)
    - Mention the download location.
    - List the Debian maintainers.
    - Update URL of the Artistic License.
  * debian/README.Debian: Document that this is a snapshot of 222b5d77 and not
    0.7.0.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 11 Oct 2012 21:24:38 +0200

libkdtree++ (0.7.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Cherry pick 8d4fbb9a from upstream to fix issues with g++ 4.7. (Closes:
    #687604)

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Tue, 25 Sep 2012 16:57:06 +0200

libkdtree++ (0.7.0-1) unstable; urgency=low

  * New upstream release (closes: Bug#506485)

 -- Martin Schreiber <schreiberx@gmail.com>  Tue, 30 Dec 2008 10:34:06 +0100

libkdtree++ (0.6.2-1) unstable; urgency=low

  * New upstream version (closes: Bug#459106)
  * New maintainer

 -- Martin Schreiber <schreiberx@gmail.com>  Fri, 08 Feb 2008 22:52:21 +0100

libkdtree++ (0.2.0-1) unstable; urgency=low

  * New upstream version, thanks to Paul Harris.
  * Closes bugs from 0.1.3-1, which was not officially uploaded to Debian
    (closes: Bug#279614, Bug#279620).

 -- martin f. krafft <madduck@debian.org>  Mon, 15 Nov 2004 09:40:36 +0100

libkdtree++ (0.1.3-1) unstable; urgency=low

  * New upstream version (closes: Bug#279614, Bug#279620).
  * Pushed Standards-Version to 3.6.1.1

 -- martin f. krafft <madduck@debian.org>  Thu,  4 Nov 2004 10:29:23 +0100

libkdtree++ (0.1.2-1) unstable; urgency=low

  * Added note about lack of runtime and shared libraries.
  * Changed licence to the artistic licence.

 -- martin f. krafft <madduck@debian.org>  Sun, 16 May 2004 00:52:10 +0200

libkdtree++ (0.1.1-1) unstable; urgency=low

  * New upstream release.

 -- martin f. krafft <madduck@debian.org>  Tue, 11 May 2004 19:48:32 +0200



=== debian/control ===
Source: libkdtree++
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 python3-all-dev,
 dh-sequence-python3,
 swig,
 cmake,
Homepage: https://github.com/nvmd/libkdtree
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/libkdtree.git
Vcs-Browser: https://salsa.debian.org/debian/libkdtree

Package: libkdtree++-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: C++ template container implementation of kd-tree sorting
 libkdtree++ is a C++ template container implementation of k-dimensional space
 sorting, using a kd-tree. It:
 .
   - supports an unlimited number of dimensions (in theory)
   - can store any data structure, provided the data structure provides
     operator[0 - k-1] to access the individual dimensional
     components (arrays, std::vector already do) and a std::less
     implementation for the type of dimensional components
   - has support for custom allocators
   - implements iterators
   - provides standard find as well as range queries
   - has amortised O(lg n) time (O(n lg n) worst case) on most
     operations (insert/erase/find optimised) and worst-case O(n) space
   - provides a means to rebalance and thus optimise the tree
   - exists in its own namespace
   - uses STL coding style, basing a lot of the code on stl_tree.h
 .
 libkdtree++ only exists as a -dev package as it's only a bunch of C++ header
 files. Therefore, no static or shared library is necessary, allowing for
 ultimate flexibility.

Package: python3-kdtree
Section: python
Architecture: any
Provides:
 ${python3:Provides}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends}
Description: container for kd-tree sorting for Python 3
 A container implementing k-dimensional space sorting using a kd-tree. It:
 .
  - supports two- to six-dimensional spaces
  - can store any data structure
  - provides standard find as well as range queries
  - has amortised O(lg n) time (O(n lg n) worst case) on most operations
    (insert/erase/find optimised) and worst-case O(n) space
  - provides means to rebalance and thus optimise the tree
 .
 This package contains the extension built for the Python 3 interpreter.

=== debian/rules ===
#!/usr/bin/make -f

# run setup.py install with --install-layout=deb
export SETUP_PY_EXTRA_ARGS=--install-layout=deb


# default Python 3 version
PYTHON = $(shell py3versions -dv)

# Python 3 versions
PYTHON3 = $(shell py3versions -s)

%:
	dh $@ --buildsystem=cmake

# clean targets

cmake-clean-%:
	rm -rf build-$*

override_dh_auto_clean: \
	$(PYTHON3:python%=cmake-clean-%)

# configure targets

cmake-configure-%:
	dh_auto_configure -Bbuild-$* -- \
		-DBUILD_PYTHON_BINDINGS=1 \
		-DPYTHON_EXECUTABLE=/usr/bin/python$*

override_dh_auto_configure: \
	$(PYTHON3:python%=cmake-configure-%)

# build targets

cmake-build-%:
	dh_auto_build -Bbuild-$*

override_dh_auto_build: \
	$(PYTHON3:python%=cmake-build-%)

# test targets

cmake-test-%-stamp:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -Bbuild-$*/python-bindings
endif
	touch $@

override_dh_auto_test: \
	$(PYTHON3:python%=cmake-test-%-stamp)
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test \
		-Bbuild-$(PYTHON)
endif

# install targets

cmake-install-%:
	dh_auto_install -Bbuild-$*/python-bindings

override_dh_auto_install: \
	$(PYTHON3:python%=cmake-install-%)
	dh_auto_install \
		-Bbuild-$(PYTHON)

override_dh_strip:
	dh_strip --dbgsym-migration='python3-kdtree-dbg (<< 0.7.1+git20101123-6~)'

execute_after_dh_python3:
	find debian/python3-kdtree -name '*.cpython-*dm-*so' | xargs -r rm -f

## libkdtree++ 0.7.3

=== debian/changelog ===
libkdtree++ (0.7.3-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:23:48 +0000

libkdtree++ (0.7.3-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:20:18 +0000

libkdtree++ (0.7.3-1) unstable; urgency=medium

  * QA upload.

  * Corrected Vcs links in d/control.
  * Added build dependency on python3-setuptools (Closes: #1080640).
  * Corrected upstream source URL in d/copyright.
  * New upstream version 0.7.3
    - Dropped gcc-5.patch now included upstream.
    - Refreshed enable-tests.patch and d/docs.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Nov 2024 17:29:25 +0100

## libkdtree++ 0.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
+cmake_minimum_required (VERSION 2.8.12)
 project (libkdtree CXX)
-cmake_minimum_required (VERSION 2.6.0)
+
+option (BUILD_PYTHON_BINDINGS "Build Python bindings (requires SWIG)")
 
 if (WIN32)
 
@@ -22,6 +24,14 @@
 
 endif (WIN32)
 
+if (BUILD_PYTHON_BINDINGS)
+   add_subdirectory (python-bindings)
+endif (BUILD_PYTHON_BINDINGS)
+
 include_directories (${PROJECT_SOURCE_DIR})
 
 add_subdirectory(examples)
+
+file (GLOB KDTREE_HEADERS kdtree++/*.hpp)
+install (FILES ${KDTREE_HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include)
+

=== examples/Makefile ===
all: test_kdtree test_hayne

test_kdtree: test_kdtree.cpp
	g++ -I.. -Wall -ansi -pedantic -g -O2 -o test_kdtree test_kdtree.cpp

test_hayne: test_hayne.cpp
	g++ -I.. -Wall -ansi -pedantic -g -O2 -o test_hayne test_hayne.cpp

all_gcc: test_kdtree-gcc3.4 test_kdtree-gcc4.3 test_kdtree-gcc4.2

test_kdtree-gcc3.4: test_kdtree.cpp
	g++-3.4 -I.. -Wall -ansi -pedantic -g -O2 -o test_kdtree-gcc3.4 test_kdtree.cpp

test_kdtree-gcc4.2: test_kdtree.cpp
	g++-4.2 -I.. -Wall -ansi -pedantic -g -O2 -o test_kdtree-gcc4.2 test_kdtree.cpp

test_kdtree-gcc4.3: test_kdtree.cpp
	g++-4.3 -I.. -Wall -ansi -pedantic -g -O2 -o test_kdtree-gcc4.3 test_kdtree.cpp

clean:
	rm -f test_kdtree

.PHONY: clean

=== python-bindings/CMakeLists.txt ===
find_package (SWIG REQUIRED)
include (${SWIG_USE_FILE})

find_package (PythonLibs)
include_directories (${PYTHON_INCLUDE_PATH})

include_directories (${CMAKE_CURRENT_SOURCE_DIR})
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/..)

# Build the _kdtree python module
set_source_files_properties (py-kdtree.i PROPERTIES CPLUSPLUS ON)
swig_add_module (kdtree python py-kdtree.i)
swig_link_libraries (kdtree ${PYTHON_LIBRARIES})

# Copy the test file into the build dir
install (FILES py-kdtree_test.py DESTINATION ${CMAKE_INSTALL_PREFIX}/python)
install (FILES ${CMAKE_BINARY_DIR}/python-bindings/kdtree.py DESTINATION ${CMAKE_INSTALL_PREFIX}/python)
install (FILES ${CMAKE_BINARY_DIR}/python-bindings/_kdtree.so DESTINATION ${CMAKE_INSTALL_PREFIX}/python)

=== python-bindings/Makefile ===

INCLUDE_DIR=..
CXX=g++

PY_INCLUDE_DIR=$(shell python-config --includes)

# CPPFLAGS is used by the default rules. Using "override" and "+="
# allows the user to prepend things to CPPFLAGS on the command line.
override CPPFLAGS += -I$(INCLUDE_DIR) -pedantic -Wno-long-long -Wall -ansi -pedantic
# These options are set by the configure script.
override CPPFLAGS += -DHAVE_CONFIG_H

ifeq ($(MINUSG),1)
override CPPFLAGS += -g -fPIC
else
override CPPFLAGS += -O3 -fPIC
endif

ifeq ($(MINUSPG),1)
override CPPFLAGS += -pg
endif


# swig bindings
py-kdtree: _kdtree.so
	cp _kdtree.so kdtree.py ../../

py-kdtree_test: py-kdtree.hpp py-kdtree_test.cpp
	$(CXX) $(CPPFLAGS) -I$(PY_INCLUDE_DIR) -c -o py-kdtree_test.o py-kdtree_test.cpp
	$(CXX) $(CPPFLAGS) $(LDLIBS) py-kdtree_test.o -o py-kdtree_test

py-kdtree.i: py-kdtree.i.tmpl py-kdtree.hpp.tmpl gen-swig-hpp.py
	python gen-swig-hpp.py

py-kdtree_wrap.cxx: py-kdtree.i py-kdtree.hpp py-kdtree.i.tmpl py-kdtree.hpp.tmpl
	swig -python -modern -c++ py-kdtree.i

_kdtree.so: py-kdtree_wrap.cxx 
	$(CXX) $(CPPFLAGS) -c py-kdtree_wrap.cxx -I$(PY_INCLUDE_DIR) -I$(INCLUDE_DIR)
	$(CXX) $(CPPFLAGS) -shared  py-kdtree_wrap.o $(LDLIBS) -o _kdtree.so

clean:
	rm -f test_kdtree *.so py-kdtree_wrap.cxx *.o dkdtree.py py-kdtree_test kdtree.py *.pyc py-kdtree.i py-kdtree.hpp

.PHONY: clean

=== debian/changelog ===
libkdtree++ (0.7.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Enable CI on salsa.
  * Enforce -DCMAKE_POLICY_VERSION_MINIMUM=3.5 (Closes: #1113165)

 -- Tobias Frost <tobi@debian.org>  Sun, 12 Oct 2025 11:59:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  python3-all-dev,
+ python3-setuptools,
  dh-sequence-python3,
  swig,
  cmake,
 Homepage: https://github.com/nvmd/libkdtree
 Standards-Version: 4.6.0
-Vcs-Git: https://salsa.debian.org/debian/libkdtree.git
-Vcs-Browser: https://salsa.debian.org/debian/libkdtree
+Vcs-Git: https://salsa.debian.org/debian/libkdtreepp.git
+Vcs-Browser: https://salsa.debian.org/debian/libkdtreepp
 
 Package: libkdtree++-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 
 cmake-configure-%:
 	dh_auto_configure -Bbuild-$* -- \
+		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
 		-DBUILD_PYTHON_BINDINGS=1 \
 		-DPYTHON_EXECUTABLE=/usr/bin/python$*

## libkdtree++ 0.7.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required (VERSION 2.8.12)
+cmake_minimum_required (VERSION 3.5)
 project (libkdtree CXX)
 
 option (BUILD_PYTHON_BINDINGS "Build Python bindings (requires SWIG)")

=== python-bindings/Makefile ===
--- 
+++ 
@@ -3,6 +3,11 @@
 CXX=g++
 
 PY_INCLUDE_DIR=$(shell python-config --includes)
+PYTHON_BIN=$(shell \
+	if command -v python >/dev/null 2>&1; then echo python; \
+	elif command -v python3 >/dev/null 2>&1; then echo python3; \
+	else echo "ERROR: Python not found" >&2; exit 1; \
+	fi)
 
 # CPPFLAGS is used by the default rules. Using "override" and "+="
 # allows the user to prepend things to CPPFLAGS on the command line.
@@ -30,7 +35,7 @@
 	$(CXX) $(CPPFLAGS) $(LDLIBS) py-kdtree_test.o -o py-kdtree_test
 
 py-kdtree.i: py-kdtree.i.tmpl py-kdtree.hpp.tmpl gen-swig-hpp.py
-	python gen-swig-hpp.py
+	$(PYTHON_BIN) gen-swig-hpp.py
 
 py-kdtree_wrap.cxx: py-kdtree.i py-kdtree.hpp py-kdtree.i.tmpl py-kdtree.hpp.tmpl
 	swig -python -modern -c++ py-kdtree.i

=== debian/changelog ===
libkdtree++ (0.7.5-1) unstable; urgency=medium

  * New upstream release.
   - Drop patch fix-python3-incompatibilities, no longer needed.
   - d/rules: overriding DCMAKE_POLICY_VERSION_MINIMUM is no longer needed.
  * Adopting package. (Closes: #813246)
  * Maintaining package in the FreeCAD Packaging Team.
  * Bump S-V to 4.7.3 - remove Priority: optional from d/control.
  * Update d/watch to templated Version:5 style.
  * Update debian/copyright years.
  * d/patches:
    - upstreamed patches, updated dep3 header accordingly
    - reported failing test to upstream, noted in dep3 header.
    - updated rename-py-kdtree_test.py.patch.
  * Cleanup d/rules:
    - remove obsolete dbgsym-package migration
    - use d/clean for cleaning the builddirs.

 -- Tobias Frost <tobi@debian.org>  Sat, 28 Feb 2026 15:22:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libkdtree++
 Section: libs
-Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: FreeCAD Packaging Team <team+freecad-packaging-team@tracker.debian.org>
+Uploaders: Tobias Frost <tobi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  python3-all-dev,
@@ -10,7 +10,7 @@
  swig,
  cmake,
 Homepage: https://github.com/nvmd/libkdtree
-Standards-Version: 4.6.0
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/libkdtreepp.git
 Vcs-Browser: https://salsa.debian.org/debian/libkdtreepp

=== debian/rules ===
--- 
+++ 
@@ -13,19 +13,8 @@
 %:
 	dh $@ --buildsystem=cmake
 
-# clean targets
-
-cmake-clean-%:
-	rm -rf build-$*
-
-override_dh_auto_clean: \
-	$(PYTHON3:python%=cmake-clean-%)
-
-# configure targets
-
 cmake-configure-%:
 	dh_auto_configure -Bbuild-$* -- \
-		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
 		-DBUILD_PYTHON_BINDINGS=1 \
 		-DPYTHON_EXECUTABLE=/usr/bin/python$*
 
@@ -65,8 +54,5 @@
 	dh_auto_install \
 		-Bbuild-$(PYTHON)
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='python3-kdtree-dbg (<< 0.7.1+git20101123-6~)'
-
 execute_after_dh_python3:
 	find debian/python3-kdtree -name '*.cpython-*dm-*so' | xargs -r rm -f

=== debian/watch ===
Version: 5

Template: Github
Owner: nvmd
Project: libkdtree
